//=============================================================================
//  MuseScore
//  Linux Music Score Editor
//
//  " t e s t Q S e t t i n g s " plugin
//
//	A plugin to test QSettings binding.
//
//	By Maurizio M. Gavioli, 2010.
//
//  MuseScore: Copyright (C)2008 Werner Schweer and others
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License version 2.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//=============================================================================

// the INI settings
var g_nKey1Val	= 2;
var g_settings;
var g_szKey1	= "section/key1";

//---------------------------------------------------------
//	init()
//	this function will be called on startup of mscore
//---------------------------------------------------------

function init()
{
};

//-------------------------------------------------------------------
//	run()
//	this function will be called when activating the plugin menu entry
//
//	global Variables:
//	pluginPath - contains the plugin path; file separator is "/"
//-------------------------------------------------------------------

function run()
{
	// init/read settings
	g_settings	= new QSettings(pluginPath + "/testQSettings.ini", QSettings.IniFormat);
	g_settings.setValue(g_szKey1, g_nKey1Val);
	g_settings.sync();
};

//---------------------------------------------------------
//    menu:  defines were the function will be placed
//           in the MuseScore menu structure
//---------------------------------------------------------

var mscorePlugin =
{
	menu: 'Plugins.Test QSettings',
	init: init,
	run:  run
};

mscorePlugin;
